Subject: ab/unpack-trees-leakfix

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 13 Oct 2021 15:33:19 +0200

On Mon, Oct 11 2021, Junio C Hamano wrote:

> * ab/unpack-trees-leakfix (2021-10-07) 2 commits
>  - unpack-trees: don't leak memory in verify_clean_subdirectory()
>  - Merge branch 'ab/sanitize-leak-ci' into ab/unpack-trees-leakfix
>
>  Leakfix.
>
>  Will merge to 'next'?

I think it's ready, but I see you peeled of the 2nd and 3rd patch. I
re-rolled a v3 which should address Elijah's outstanding comments there:
with
https://lore.kernel.org/git/[email-masked]/

I can submit that after this one if you'd like, but having that missing
clear_unpack_trees_porcelain() seems easy enough, and will make that API
and its users leak-free.